=== debian/changelog ===
gambas3 (3.20.4-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.20.4 (Closes: #1096670)

 -- Bastian Germann <bage@debian.org>  Tue, 16 Sep 2025 21:15:47 +0200
