=== debian/control ===
Source: gambas3
Section: devel
Priority: optional
Homepage: http://gambas.sourceforge.net
Vcs-Git: https://salsa.debian.org/gambas-team/gambas3.git
Vcs-Browser: https://salsa.debian.org/gambas-team/gambas3
Maintainer: Debian Gambas Team <team+debian-gambas@tracker.debian.org>
Uploaders: José L. Redrejo Rodríguez <jredrejo@debian.org>
Build-Depends: debhelper-compat (= 12),
               gettext,
               libalure-dev,
               libbz2-dev,
               libcrypt-dev,
               libcurl4-gnutls-dev | libcurl-ssl-dev,
               libdbus-1-dev,
               libffi-dev,
               libglew-dev,
               libgmime-3.0-dev,
               libgmp-dev,
               libgsl-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libgtk-3-dev,
               libwebkit2gtk-4.1-dev [linux-any],
               libimlib2-dev,
               libjpeg-dev,
               libltdl-dev,
               default-libmysqlclient-dev,
               libncurses-dev,
               libopenal-dev,
               libpcre2-dev,
               libpng-dev,
               libpoppler-cpp-dev,
               libpoppler-glib-dev,
               libpoppler-private-dev,
               libpq-dev,
               librsvg2-dev,
               libsdl-ttf2.0-dev,
               libsdl2-dev,
               libsdl2-image-dev,
               libsdl2-mixer-dev,
               libsdl2-ttf-dev,
               libsqlite3-dev,
               libssl-dev,
               libv4l-dev [linux-any],
               libxml2-dev,
               libxslt1-dev,
               libxt-dev,
               libxtst-dev,
               libzstd-dev,
               linux-libc-dev [linux-any],
               mesa-common-dev,
               pkgconf,
               qt6-base-dev,
               qt6-svg-dev,
               qt6-webengine-dev [amd64 arm64 armhf i386],
               unixodbc-dev,
               xdg-utils,
               zlib1g-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no

Package: gambas3
Architecture: all
Depends: gambas3-examples (>= ${binary:Version}),
         gambas3-gb-args (>= ${binary:Version}),
         gambas3-gb-cairo (>= ${binary:Version}),
         gambas3-gb-chart (>= ${binary:Version}),
         gambas3-gb-clipper2 (>= ${binary:Version}),
         gambas3-gb-complex (>= ${binary:Version}),
         gambas3-gb-compress-bzlib2 (>= ${binary:Version}),
         gambas3-gb-compress-zlib (>= ${binary:Version}),
         gambas3-gb-compress-zstd (>= ${binary:Version}),
         gambas3-gb-crypt (>= ${binary:Version}),
         gambas3-gb-data (>= ${binary:Version}),
         gambas3-gb-db2-mysql (>= ${binary:Version}),
         gambas3-gb-db2-odbc (>= ${binary:Version}),
         gambas3-gb-db2-postgresql (>= ${binary:Version}),
         gambas3-gb-db2-sqlite3 (>= ${binary:Version}),
         gambas3-gb-dbus (>= ${binary:Version}),
         gambas3-gb-dbus-trayicon (>= ${binary:Version}),
         gambas3-gb-gmp (>= ${binary:Version}),
         gambas3-gb-gsl (>= ${binary:Version}),
         gambas3-gb-httpd (>= ${binary:Version}),
         gambas3-gb-image-effect (>= ${binary:Version}),
         gambas3-gb-image-imlib (>= ${binary:Version}),
         gambas3-gb-image-io (>= ${binary:Version}),
         gambas3-gb-logging (>= ${binary:Version}),
         gambas3-gb-map (>= ${binary:Version}),
         gambas3-gb-media-form (>= ${binary:Version}),
         gambas3-gb-memcached (>= ${binary:Version}),
         gambas3-gb-mime (>= ${binary:Version}),
         gambas3-gb-mysql (>= ${binary:Version}),
         gambas3-gb-ncurses (>= ${binary:Version}),
         gambas3-gb-net-pop3 (>= ${binary:Version}),
         gambas3-gb-net-smtp (>= ${binary:Version}),
         gambas3-gb-openal (>= ${binary:Version}),
         gambas3-gb-opengl-glsl (>= ${binary:Version}),
         gambas3-gb-opengl-glu (>= ${binary:Version}),
         gambas3-gb-opengl-sge (>= ${binary:Version}),
         gambas3-gb-openssl (>= ${binary:Version}),
         gambas3-gb-poppler (>= ${binary:Version}),
         gambas3-gb-report2 (>= ${binary:Version}),
         gambas3-gb-scanner (>= ${binary:Version}),
         gambas3-gb-sdl2 (>= ${binary:Version}),
         gambas3-gb-sdl2-audio (>= ${binary:Version}),
         gambas3-gb-term-form (>= ${binary:Version}),
         gambas3-gb-vb (>= ${binary:Version}),
         gambas3-gb-web (>= ${binary:Version}),
         gambas3-gb-web-feed (>= ${binary:Version}),
         gambas3-gb-web-gui (>= ${binary:Version}),
         gambas3-gb-xml-html (>= ${binary:Version}),
         gambas3-gb-xml-rpc (>= ${binary:Version}),
         gambas3-gb-xml-xslt (>= ${binary:Version}),
         gambas3-ide (>= ${binary:Version}),
         gambas3-scripter (>= ${binary:Version}),
         ${misc:Depends}
Description: Complete visual development environment for Gambas
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 With Gambas, you can quickly design your program GUI, access MySQL or
 PostgreSQL databases, pilot KDE applications with DCOP, translate your
 program into many languages, and so on...
 .
 This package doesn't include anything: it is a metapackage to install the
 IDE and all the available Gambas components except deprecated ones,
 as well as components that are not available on every platform.

Package: gambas3-devel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gambas3-runtime (>= ${binary:Version})
Breaks: gambas3-dev (<< 3.15.0), gambas3-runtime (<< 3.15.0)
Replaces: gambas3-dev (<< 3.15.0)
Provides: gambas3-dev
Description: Gambas compilation tools
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This package includes the Gambas compiler, archiver and informer.

Package: gambas3-examples
Architecture: all
Depends: gambas3-runtime (>= ${binary:Version}), ${misc:Depends}
Description: Gambas examples
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This package provides the examples.

Package: gambas3-gb-cairo
Architecture: any
Depends: gambas3-gb-image (>= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Gambas bindings for cairo
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This package includes Gambas bindings for cairo.

Package: gambas3-gb-clipper
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Gambas Clipper component
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This package includes a component based on the Clipper library,
 http://www.angusj.com/delphi/clipper.php

Package: gambas3-gb-clipper2
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Gambas Clipper2 polygon component
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This package includes a component based on the Clipper2 library.

Package: gambas3-gb-dbus
Architecture: any
Depends: gambas3-runtime (>= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Gambas bindings for DBUS
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This package includes Gambas bindings for the DBUS system.

Package: gambas3-gb-form-stock
Architecture: all
Depends: gambas3-gb-form (>= ${binary:Version}),
         gambas3-runtime (>= ${binary:Version}),
         ${misc:Depends}
Description: Gambas form stock icons
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This package includes support for stock form icons.

Package: gambas3-gb-gmp
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Gambas GMP component
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This package provides an interface to the GNU Multiple Precision Arithmetic
 Library.

Package: gambas3-gb-hash
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Gambas hash component
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This package provides standard hashing functions.

Package: gambas3-gb-chart
Architecture: all
Section: libdevel
Depends: gambas3-gb-form (>= ${binary:Version}),
         gambas3-runtime (>= ${binary:Version}),
         ${misc:Depends}
Description: Gambas charting component
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This is a native Gambas component to draw charts.

Package: gambas3-gb-compress
Architecture: any
Section: libdevel
Depends: gambas3-runtime (>= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Gambas compression component
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This package has the needed base libraries for the other compression
 components.

Package: gambas3-gb-compress-bzlib2
Architecture: any
Section: libdevel
Depends: gambas3-gb-compress (>= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Gambas bzlib2 component
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This package allows you to compress/uncompress data or files with
 the bzip2 algorithm.

Package: gambas3-gb-compress-zlib
Architecture: any
Section: libdevel
Depends: gambas3-gb-compress (>= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Gambas zlib compression component
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This package allows you to compress/uncompress data or files with
 the gzip and PKZIP algorithm.

Package: gambas3-gb-compress-zstd
Architecture: any
Section: libdevel
Depends: gambas3-gb-compress (>= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Gambas zstd compression component
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This package allows you to compress/uncompress data or files with
 the ZSTD algorithm.

Package: gambas3-gb-crypt
Architecture: any
Section: libdevel
Depends: gambas3-runtime (>= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Gambas crypt encryption component
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This package allows one to use the crypt() glib function in gambas.

Package: gambas3-gb-db
Architecture: any
Section: libdevel
Depends: gambas3-runtime (>= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Gambas database access common libraries
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
