=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export XDG_DATA_HOME=$(CURDIR)/debian/tmp/usr/share
export XDG_UTILS_INSTALL_MODE=user
DISABLE_MODULES=
ifneq (linux,$(DEB_HOST_ARCH_OS))
DISABLE_MODULES+= --disable-inotify
DISABLE_MODULES+= --disable-qt6wayland
DISABLE_MODULES+= --disable-gtk3wayland
DISABLE_MODULES+= --disable-gtk3webview
DISABLE_MODULES+= --disable-v4l
endif

ifeq (,$(filter $(DEB_HOST_ARCH),amd64 arm64 armhf i386))
DISABLE_MODULES+= --disable-qt6webview
endif


%:
	dh $@

override_dh_auto_configure:
	GAMBAS_CONFIG_FAILURE=1 dh_auto_configure -- --disable-sqlite2 --disable-gtk --disable-mongodb --disable-qt4 --disable-qt5 --disable-keyring --disable-sdl --disable-sdlsound $(DISABLE_MODULES) --libdir=\$${prefix}/lib

override_dh_auto_clean:
	dh_auto_clean
	find . -name ".action" |xargs rm -Rfv
	find . -name ".gambas" |xargs rm -Rfv
	find . -name "*.gambas" |xargs rm -Rfv
	find . -name "DISABLED" |xargs rm -Rfv
	find . -name "DISABLED.gb*" |xargs rm -Rfv
	find . -name "warnings.log" |xargs rm -Rfv
	find . -name ".info" |xargs rm -Rfv
	find . -name ".list" |xargs rm -Rfv
	find . -name ".startup" |xargs rm -Rfv
	find . -name "*.mo" -delete
	find . -name "*.pot" -delete
	rm -fv aclocal.m4 main/aclocal.m4

override_dh_auto_install:
	dh_auto_install --no-parallel
	xdg-icon-resource install --novendor --size 256 app/desktop/gambas3.png
	xdg-desktop-menu  install --novendor app/desktop/gambas3.desktop
	find $(CURDIR)/debian/tmp/usr -name "*.la" -delete
	find $(CURDIR)/debian/tmp/usr -type d -empty -delete
	find $(CURDIR)/debian/tmp/usr -name *.png -perm /ugo+x -exec chmod 644 \{} \;
	find $(CURDIR)/debian/tmp/ -name .gitignore -delete
