=== debian/watch ===
version=4
opts=mode=git,compression=gzip,repacksuffix=+ds,dversionmangle=s/\+ds$// \
https://gitlab.com/gambas/gambas.git refs/tags/(\d\S+)
